cgGetParameterName(3)

NAME
cgGetParameterName - get a program parameter's name

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetParameterName( CGparameter param );

PARAMETERS

param
    The program parameter.

RETURN VALUES
Returns the NULL-terminated name string for the parameter.

Returns NULL if param is invalid.

DESCRIPTION
cgGetParameterName allows the application to retrieve the name of a parameter in a Cg program. This name can be used later to retrieve the parameter from the program using cgGetNamedParameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterName was introduced in Cg 1.1.

SEE ALSO
the cgGetNamedParameter manpage, the cgGetNextParameter manpage, the cgGetParameterType manpage, the cgGetParameterVariablity manpage, the cgGetParameterDirection manpage, the cgIsArray manpage, the cgSetParameterVariability manpage